Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Python support for 'media-libs/alsa-lib'
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Multimedia
View previous topic :: View next topic  
Author Message
paradigm-X
Apprentice
Apprentice


Joined: 19 Sep 2013
Posts: 168

PostPosted: Fri Dec 20, 2013 4:13 am    Post subject: Python support for 'media-libs/alsa-lib' Reply with quote

I am challenged with getting sound to work in a KVM/Qemu guest running Gentoo with XFCE. But I am determined as well, and eventually I expect to reach a Eureka moment. To that end I must ask a question or two in between tufts of hair.

Looking at the information here, https://wiki.gentoo.org/wiki/ALSA , near the top in the section about USE flags for emerge of alsa-lib, I see that one of these is "python". On this system I see that the alsa-lib was installed with two python-related USE flags, namely:

python_single_target_python2_7
python_targets_python2_7

However, the plain "python" USE flag was not set, apparently, when it emerged; nor were any of the others. I don't really recall setting either of these two, and I suspect that they were utilized by default (based on a profile?), and that this package emerged as a dependency. Now I am wondering whether I should simply re-emerge alsa-lib using the plain python flag.

Additionally, clearly I assume that sound will work on a Qemu guest running 64-bit Linux Gentoo, not having found an indication otherwise. I did find numerous references suggesting that the 64-bit Windows guest of Qemu would not have sound support, but it was not clear from what I found that this condition was still true. Any insight about this situation would be welcome. :)
Back to top
View user's profile Send private message
Kompi
Apprentice
Apprentice


Joined: 05 Oct 2002
Posts: 251
Location: Germany

PostPosted: Mon Dec 30, 2013 12:53 pm    Post subject: Reply with quote

it is the default not to enable python support. If you need it, just re-emerge with the python use flag set.

As for the python_*target flags: Those are used to explicitly select a python interpreter to compile aggainst. For example, if you explicitly want to use a speciftic python version, or a different implementation like pypy. That can be done by setting PYTHON_TARGET etc. variable in /etc/portage/make.conf. You normally should not need to deal with them though.

Here is the documentation for that: http://www.gentoo.org/proj/en/Python/python-r1/user-guide.xml
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Multimedia All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum